Eclipse Platform Release 3.7

## org.eclipse.ui.dialogs
Interface ISelectionValidator

All Known Implementing Classes:
  CopyResourceAction, MoveResourceAction, ResourceNavigatorMoveAction

    public interface ISelectionValidator

For validating selections in some selection dialogs.

Clients should implement this interface to define specialized selection validators.

Method Summary
`String` `isValid(Object selection)` Returns a string indicating whether the given selection is valid.

Method Detail

### isValid

    String isValid(Object selection)

  Returns a string indicating whether the given selection is valid. If the result is `null`, the selection is considered to be valid; if the result is non-empty, it contains the error message to be displayed to the user.

  Parameters:
    `selection` - the selection to be validated
  Returns:
    the error message, or `null` indicating that the value is valid

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.